> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uqpay.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Recharge a card

> This endpoint recharge a card. Add money to your card using your account balance.

### Header

<ParamField header="x-client-id" type="string" required>
  `x-client-id`.
</ParamField>

<ParamField header="x-auth-token" type="string" required>
  Bearer `YOUR_TOKEN_HERE`.
</ParamField>

### Parameters

<ParamField body="card_number" type="string" required>
  Card number.
</ParamField>

<ParamField body="card_id" type="string" required>
  Unique Identifier for card.
</ParamField>

<ParamField body="balance_id" type="string" required>
  The ID of the account balance this card is associated with.
</ParamField>

<ParamField body="recharge_amount" type="string" required>
  Recharge amount.
</ParamField>

<ParamField body="unique_request_id" type="string" required>
  A unique request ID specified by the client. Requests with the same request\_id will be ignored. This allows requests to be replayed if client is unsure of the outcome, e.g. due to network issues, system failures, etc. Note: Can be non-UUID as long as it is unique between requests.<br />
  `Maximum Length 36`
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 200 if successful, 400 if not.
</ResponseField>

<ResponseField name="message" type="string">
  Response Message. "Success" if successful, others not.
</ResponseField>

<RequestExample>
  ```bash cURL Example Request theme={null}
  curl 'https://api.sandbox.uqpay.org/api/v1/cards/recharge' \
  -H 'content-type: application/json' \
  -H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
  -H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
  --data-raw '{"card_number":"9333019900054387","card_id":"570f6e4b-8ec6-41ce-9481-915c03cffdc9","balance_id":"deaf719f-fc53-439e-bc39-dcc082c9ac28","recharge_amount":"10","unique_request_id":"QAF1448412asdf4892391"}'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "code": 200,
      "message": "Success"
  }
  ```
</ResponseExample>
